### Hierarchy

- AtomGridView
  - AtomTabbedPage
    - TabHost

### Implements

- IAtomComponent<IAtomElement>
- INotifyPropertyChanged
- INotifyPropertyChanged

## Index

### Constructors

- constructor

### Properties

- app
- columns
- defaultControlStyle
- disposables
- element
- localViewModel
- pendingInits
- presenter
- rows
- tabChannelName
- titleTemplate
- isControl
- titleTemplate

### Accessors

- controlStyle
- data
- parent
- selectedPage
- theme
- viewModel
- vsProps
- windowService

### Methods

- append
- atomParent
- beginEdit
- bind
- bindEvent
- create
- dispose
- hasProperty
- invalidate
- onPropertyChanged
- onUpdateSize
- onUpdateUI
- preCreate
- registerDisposable
- removeAllChildren
- render
- resize
- resolve
- runAfterInit
- setElementClass
- setElementValue
- setLocalValue
- setPrimitiveValue
- unbind
- unbindEvent
- updateSize
- getCellInfo

## Constructors

### constructor

- new AtomTabbedPage(app: App, e?: HTMLElement): AtomTabbedPage

- Overrides AtomControl.constructor

  - Defined in src/web/controls/AtomTabbedPage.tsx:74

  #### Parameters

  - ##### app: App

  - ##### Optional e: HTMLElement

  #### Returns AtomTabbedPage

## Properties

### app

app: App

Implementation of IAtomComponent.app

Inherited from AtomComponent.app

- Defined in src/core/AtomComponent.ts:133

### columns

columns: string

Inherited from AtomGridView.columns

- Defined in src/web/controls/AtomGridView.ts:80

### defaultControlStyle

defaultControlStyle: any

Inherited from AtomControl.defaultControlStyle

- Defined in src/web/controls/AtomControl.ts:46

### disposables

disposables: AtomDisposableList

Inherited from AtomComponent.disposables

- Defined in src/core/AtomComponent.ts:45

### element

element: HTMLElement

Implementation of IAtomComponent.element

Inherited from AtomComponent.element

- Defined in src/core/AtomComponent.ts:47

### localViewModel

localViewModel: AtomTabViewModel

Implementation of IAtomComponent.localViewModel

Overrides AtomComponent.localViewModel

- Defined in src/web/controls/AtomTabbedPage.tsx:33

### Protected pendingInits

pendingInits: Array<function>

Inherited from AtomComponent.pendingInits

- Defined in src/core/AtomComponent.ts:49

### presenter

presenter: HTMLElement

- Defined in src/web/controls/AtomTabbedPage.tsx:39

### rows

rows: string

Inherited from AtomGridView.rows

- Defined in src/web/controls/AtomGridView.ts:82

### tabChannelName

tabChannelName: string

- Defined in src/web/controls/AtomTabbedPage.tsx:35

### titleTemplate

titleTemplate: IClassOf<AtomControl>

- Defined in src/web/controls/AtomTabbedPage.tsx:37

### Static isControl

isControl: true = true

Inherited from AtomComponent.isControl

- Defined in src/core/AtomComponent.ts:42

### Static titleTemplate

titleTemplate: function = XNode.prepare("titleTemplate", true, true)

- Defined in src/web/controls/AtomTabbedPage.tsx:31

#### Type declaration

- - (attributes: Partial<T>, ...nodes: XNode[]): XNode

  - #### Parameters

    - ##### attributes: Partial<T>

    - ##### Rest ...nodes: XNode[]

    #### Returns XNode

## Accessors

### controlStyle

- get controlStyle(): AtomStyle
- set controlStyle(v: AtomStyle): void

- Inherited from AtomControl.controlStyle

  - Defined in src/web/controls/AtomControl.ts:49

  #### Returns AtomStyle

- Inherited from AtomControl.controlStyle

  - Defined in src/web/controls/AtomControl.ts:67

  #### Parameters

  - ##### v: AtomStyle

  #### Returns void

### data

- get data(): any
- set data(v: any): void

- Inherited from AtomComponent.data

  - Defined in src/core/AtomComponent.ts:56

  #### Returns any

- Inherited from AtomComponent.data

  - Defined in src/core/AtomComponent.ts:67

  #### Parameters

  - ##### v: any

  #### Returns void

### parent

- get parent(): AtomControl

- Inherited from AtomControl.parent

  Overrides AtomComponent.parent

  - Defined in src/web/controls/AtomControl.ts:99

  Gets Parent AtomControl of this control.

  #### Returns AtomControl

### selectedPage

- get selectedPage(): AtomPage
- set selectedPage(value: AtomPage): void

- - Defined in src/web/controls/AtomTabbedPage.tsx:47

  #### Returns AtomPage

- - Defined in src/web/controls/AtomTabbedPage.tsx:50

  #### Parameters

  - ##### value: AtomPage

  #### Returns void

### theme

- get theme(): AtomStyleSheet
- set theme(v: AtomStyleSheet): void

- Inherited from AtomControl.theme

  - Defined in src/web/controls/AtomControl.ts:86

  Represents associated AtomStyleSheet with this visual hierarchy. AtomStyleSheet is inherited by default.

  #### Returns AtomStyleSheet

- Inherited from AtomControl.theme

  - Defined in src/web/controls/AtomControl.ts:91

  Represents associated AtomStyleSheet with this visual hierarchy. AtomStyleSheet is inherited by default.

  #### Parameters

  - ##### v: AtomStyleSheet

  #### Returns void

### viewModel

- get viewModel(): any
- set viewModel(v: any): void

- Inherited from AtomComponent.viewModel

  - Defined in src/core/AtomComponent.ts:73

  #### Returns any

- Inherited from AtomComponent.viewModel

  - Defined in src/core/AtomComponent.ts:84

  #### Parameters

  - ##### v: any

  #### Returns void

### vsProps

- get vsProps(): object | object | __type

- Inherited from AtomComponent.vsProps

  - Defined in src/core/AtomComponent.ts:119

  Do not ever use, only available as intellisense feature for vs code editor.

  #### Returns object | object | __type

### Protected windowService

- get windowService(): WindowService

- - Defined in src/web/controls/AtomTabbedPage.tsx:42

  #### Returns WindowService

## Methods

### append

- append(e: HTMLElement | Text | AtomControl): AtomControl

- Inherited from AtomGridView.append

  Overrides AtomControl.append

  - Defined in src/web/controls/AtomGridView.ts:96

  #### Parameters

  - ##### e: HTMLElement | Text | AtomControl

  #### Returns AtomControl

### atomParent

- atomParent(e: HTMLElement): AtomControl

- Inherited from AtomControl.atomParent

  Overrides AtomComponent.atomParent

  - Defined in src/web/controls/AtomControl.ts:121

  #### Parameters

  - ##### e: HTMLElement

  #### Returns AtomControl

### beginEdit

- beginEdit(): IDisposable

- Inherited from AtomComponent.beginEdit

  - Defined in src/core/AtomComponent.ts:386

  #### Returns IDisposable

### bind

- bind(element: HTMLElement, name: string, path: PathList[], twoWays?: boolean | string[], valueFunc?: function, source?: any): IDisposable

- Inherited from AtomComponent.bind

  - Defined in src/core/AtomComponent.ts:148

  #### Parameters

  - ##### element: HTMLElement

  - ##### name: string

  - ##### path: PathList[]

  - ##### Optional twoWays: boolean | string[]

  - ##### Optional valueFunc: function

    - - (...v: any[]): any

      - #### Parameters

        - ##### Rest ...v: any[]

        #### Returns any

  - ##### Optional source: any

  #### Returns IDisposable

### bindEvent

- bindEvent(element: HTMLElement, name?: string, method?: EventListenerOrEventListenerObject, key?: string): IDisposable

- Inherited from AtomComponent.bindEvent

  - Defined in src/core/AtomComponent.ts:186

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional name: string

  - ##### Optional method: EventListenerOrEventListenerObject

  - ##### Optional key: string

  #### Returns IDisposable

### Protected create

- create(): void

- Inherited from AtomComponent.create

  - Defined in src/core/AtomComponent.ts:513

  #### Returns void

### dispose

- dispose(e?: HTMLElement): void

- Inherited from AtomComponent.dispose

  - Defined in src/core/AtomComponent.ts:336

  #### Parameters

  - ##### Optional e: HTMLElement

  #### Returns void

### hasProperty

- hasProperty(name: string): boolean

- Implementation of IAtomComponent.hasProperty

  Inherited from AtomComponent.hasProperty

  - Defined in src/core/AtomComponent.ts:254

  Control checks if property is declared on the control or not. Since TypeScript no longer creates enumerable properties, we have to inspect name and PropertyMap which is generated by `@BindableProperty` or the value is not set to undefined.

  #### Parameters

  - ##### name: string

    name of Property

  #### Returns boolean

### invalidate

- invalidate(): void

- Inherited from AtomComponent.invalidate

  - Defined in src/core/AtomComponent.ts:406

  #### Returns void

### onPropertyChanged

- onPropertyChanged(name: string): void

- Implementation of INotifyPropertyChanged.onPropertyChanged

  Inherited from AtomGridView.onPropertyChanged

  Overrides AtomControl.onPropertyChanged

  - Defined in src/web/controls/AtomGridView.ts:192

  #### Parameters

  - ##### name: string

  #### Returns void

### Protected onUpdateSize

- onUpdateSize(): void

- Inherited from AtomGridView.onUpdateSize

  Overrides AtomControl.onUpdateSize

  - Defined in src/web/controls/AtomGridView.ts:203

  #### Returns void

### onUpdateUI

- onUpdateUI(): void

- Inherited from AtomGridView.onUpdateUI

  Overrides AtomComponent.onUpdateUI

  - Defined in src/web/controls/AtomGridView.ts:104

  #### Returns void

### Protected preCreate

- preCreate(): void

- Overrides AtomGridView.preCreate

  - Defined in src/web/controls/AtomTabbedPage.tsx:80

  #### Returns void

### registerDisposable

- registerDisposable(d: IDisposable): IDisposable

- Inherited from AtomComponent.registerDisposable

  - Defined in src/core/AtomComponent.ts:430

  #### Parameters

  - ##### d: IDisposable

  #### Returns IDisposable

### Protected removeAllChildren

- removeAllChildren(e: HTMLElement): void

- Inherited from AtomControl.removeAllChildren

  - Defined in src/web/controls/AtomControl.ts:305

  #### Parameters

  - ##### e: HTMLElement

  #### Returns void

### Protected render

- render(node: XNode, e?: any, creator?: any): void

- Inherited from AtomComponent.render

  - Defined in src/core/AtomComponent.ts:434

  #### Parameters

  - ##### node: XNode

  - ##### Optional e: any

  - ##### Optional creator: any

  #### Returns void

### resize

- resize(item: "column" | "row", index: number, delta: number): void

- Inherited from AtomGridView.resize

  - Defined in src/web/controls/AtomGridView.ts:176

  #### Parameters

  - ##### item: "column" | "row"

  - ##### index: number

  - ##### delta: number

  #### Returns void

### Protected resolve

- resolve<TService>(c: TService, selfName?: string | function): IAnyInstanceType<TService>

- Inherited from AtomComponent.resolve

  - Defined in src/core/AtomComponent.ts:525

  #### Type parameters

  - #### TService

  #### Parameters

  - ##### c: TService

  - ##### Optional selfName: string | function

  #### Returns IAnyInstanceType<TService>

### runAfterInit

- runAfterInit(f: function): void

- Inherited from AtomComponent.runAfterInit

  - Defined in src/core/AtomComponent.ts:422

  #### Parameters

  - ##### f: function

    - - (): void

      - #### Returns void

### Protected setElementClass

- setElementClass(element: HTMLElement, value: any, clear?: boolean): void

- Inherited from AtomControl.setElementClass

  - Defined in src/web/controls/AtomControl.ts:263

  #### Parameters

  - ##### element: HTMLElement

  - ##### value: any

  - ##### Optional clear: boolean

  #### Returns void

### Protected setElementValue

- setElementValue(element: HTMLElement, name: string, value: any): void

- Inherited from AtomControl.setElementValue

  Overrides AtomComponent.setElementValue

  - Defined in src/web/controls/AtomControl.ts:158

  #### Parameters

  - ##### element: HTMLElement

  - ##### name: string

  - ##### value: any

  #### Returns void

### setLocalValue

- setLocalValue(element: HTMLElement, name: string, value: any): void

- Inherited from AtomComponent.setLocalValue

  - Defined in src/core/AtomComponent.ts:306

  #### Parameters

  - ##### element: HTMLElement

  - ##### name: string

  - ##### value: any

  #### Returns void

### setPrimitiveValue

- setPrimitiveValue(element: HTMLElement, name: string, value: any): void

- Inherited from AtomComponent.setPrimitiveValue

  - Defined in src/core/AtomComponent.ts:271

  Use this method if you want to set attribute on HTMLElement immediately but defer atom control property

  #### Parameters

  - ##### element: HTMLElement

    HTMLElement

  - ##### name: string

    string

  - ##### value: any

    any

  #### Returns void

### unbind

- unbind(element: HTMLElement, name?: string): void

- Inherited from AtomComponent.unbind

  - Defined in src/core/AtomComponent.ts:178

  Remove all bindings associated with given element and optional name

  #### Parameters

  - ##### element: HTMLElement

    T

  - ##### Optional name: string

    string

  #### Returns void

### unbindEvent

- unbindEvent(element: HTMLElement, name?: string, method?: EventListenerOrEventListenerObject, key?: string): void

- Inherited from AtomComponent.unbindEvent

  - Defined in src/core/AtomComponent.ts:216

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional name: string

  - ##### Optional method: EventListenerOrEventListenerObject

  - ##### Optional key: string

  #### Returns void

### updateSize

- updateSize(): void

- Inherited from AtomControl.updateSize

  - Defined in src/web/controls/AtomControl.ts:141

  #### Returns void

### Static getCellInfo

- getCellInfo(e: HTMLElement): object

- Inherited from AtomGridView.getCellInfo

  - Defined in src/web/controls/AtomGridView.ts:42

  #### Parameters

  - ##### e: HTMLElement

  #### Returns object

Generated using TypeDoc